Subject: Install tool doesn't work on PHP 5.5.9 and MySQL 5.5.x
Description

It can be reproduced by using dummy package or introduction package for typo3 6.1.7 version.

After creating a clean database and starting the install tool process, on step 1 it fails to connect to the database, showing the following
message (notice the missing db username and other empty variables):

There is no connection to the database!
(Username: , Host: , Using Password: YES)
Go to Step 1 and enter a valid username and password!

Related issues:
related to Core - Bug # 55252: PHP 5.5 and require LocalConfiguration Resolved 2014-01-22

History
#1 - 2014-03-12 10:58 - Alexander Opitz
- Status changed from New to Needs Feedback
- Priority changed from -- undefined -- to Could have

Does the installer work, if you disable the OPcache in your PHP configuration (and restart Apache/IIS)

#2 - 2014-03-12 11:18 - Markus Klein

I can confirm 6.1.7 installer working on my PHP 5.5 (with disabled OPcache)

#3 - 2014-03-12 15:17 - Gonzalo Gorosito Malcolm
- File phpinfo.txt added

I have opcode disabled as well.

Here's the details of my setup:
Debian jessy with PHP 5.5.9 installed, mysql version 5.5.35 and apache 2.4.7.

phpinfo details attached.

Markus, were you able to complete the wizard and all the data were imported? Because on another machine, the same installer fails with PHP 5.3.3,
right after the importing tables process, it accuses that there's no tables in the database.

#4 - 2014-03-13 15:48 - Alexander Opitz
- Status changed from Needs Feedback to New

#5 - 2014-03-15 01:23 - Michael Schams

I can confirm, that a fresh installation of TYPO3 CMS 6.1.7 does not work on Debian jessie/sid.
I experience the same issue as the reporter of this ticket and it is reproducible.

Clean, minimal Debian system.

    -  Debian jessie/sid
    -  apache2 2.4.7-1
    -  mysql-server 5.5.35+dfsg-2
    -  php5 5.5.9+dfsg-1

No "php5-apc" nor "php5-apcu" installed (dpkg -l | grep apc).

However, checking typo3conf/LocalConfiguration.php after encountering the error message, the DB connection details are stored:

return array(
...
        'DB' => array(
                'extTablesDefinitionScript' => 'extTables.php',
                'host' => 'localhost',
                'password' => '...',
                'username' => 'typo3',
        ),
...

#6 - 2014-11-13 11:45 - Christian Kuhn
- Status changed from New to Closed

Hey, just stumbled upon this one. Sorry for the delay ... core version 6.1 reached end-of-life and 6.2 comes with a rewritten install tool, the bug is
solved there. There is nothing more we can do here than closing this issue with 'won't fix'.
